# PDO Driver How-To

## Table of Contents

- Prerequisites
- Preparation and Housekeeping
- Fleshing out your skeleton
- Building
- Testing
- Packaging and distribution
- pdo_dbh_t definition
- pdo_stmt_t definition
- Constants
- Error handling

The purpose of this How-To is to provide a basic understanding of the steps required to write a database driver that interfaces with the PDO layer. Please note that this is still an evolving API and as such, subject to change. This document was prepared based on version 0.3 of PDO. The learning curve is steep; expect to spend a lot of time on the prerequisites.